Bug 218475 - Totem can't start without soundcard
Totem can't start without soundcard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: totem (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 12:00 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:21:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-12-05 12:00:28 EST
+++ This bug was initially created as a clone of Bug #215932 +++

Description of problem:
Totem could not startup.

Version-Release number of selected component (if applicable):
totem-2.17.3-1.fc7

How reproducible:
If starting Totem there's an error-message displays: Totem could not startup.
Could not open resource for writing.

Steps to Reproduce:
1. Start Totem
2. Receive Error-Message

Additional info:

-- Additional comment from mclasen@redhat.com on 2006-11-17 15:36 EST --
It works fine here.
Can you provide any other information about the nature of the problem, like an
strace ?

-- Additional comment from bugzilla@thebc.ch on 2006-11-17 17:03 EST --
Created an attachment (id=141541)
totem.strace

following the out put of $ strace -o totem.strace totem

-- Additional comment from bugzilla@thebc.ch on 2006-11-18 17:24 EST --
I figured it out, the error appears if no soundcard is installed or detected!

-- Additional comment from john.ellson@comcast.net on 2006-11-22 11:42 EST --
+1 on this bug.  It bit me too.   I think a lack of soundcard also crashes
firefox under some circumstances, but I'll report that separately if I can
reproduce it.
 
1) Playing movies without a sound card should be possible

2) The message should be a warning, not an error, and it should state clearly
that no sound card is available.  (Unlike the current user-unfriendly message.)

-- Additional comment from bnocera@redhat.com on 2006-12-05 11:55 EST --
I closed the upstream bug today:
http://bugzilla.gnome.org/show_bug.cgi?id=170719

Patch attached below, will be in 2.16.5

-- Additional comment from bnocera@redhat.com on 2006-12-05 11:58 EST --
Created an attachment (id=142868)
totem-2.16-dont-error-with-no-soundcard.patch
Comment 2 RHEL Product and Program Management 2006-12-05 12:30:26 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Zack Cerza 2006-12-05 16:04:18 EST
Can this be tested by e.g. just stopping alsa?
Comment 4 Bastien Nocera 2006-12-05 19:32:59 EST
You can't stop alsa ;)
rmmod <snd module for your adapter> before starting your session is enough.

On my workstation, I had to close all the applications using the soundcard
("lsof | grep snd" is your friend) before doing the rmmod to test this bug.
Comment 5 Zack Cerza 2006-12-06 12:06:35 EST
Thanks Bastien.
Comment 6 Matthias Clasen 2006-12-07 10:49:52 EST
Fix included in totem-2.16.4-2.el5.
Comment 7 John Ellson 2006-12-09 17:34:29 EST
I'm confused.  Did you just fix it in an older 2.16.4 release for EL5 and not
fix it in the rawhide 2.17.3 release?   Still seems broken in:
totem-2.17.3-2.fc7.i386

$ totem foo.mpg
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2143:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2143:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2143:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2143:(snd_pcm_open_noupdate) Unknown PCM default
Comment 8 Alexander Larsson 2006-12-11 03:51:56 EST
Correct. This is a RHEL bug. We'll get the 2.17 fix when we upgrade to the new
upstream release later.
Comment 9 RHEL Product and Program Management 2007-02-07 20:21:15 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.